%global project_name FcitxQt5

Summary:        Fcitx IM module for Qt5
Name:           fcitx-qt5
Version:        1.2.6
Release:        2%{?dist}.1
License:        GPLv2+ and BSD
URL:            https://github.com/fcitx/fcitx-qt5
Source0:        https://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  cmake, fcitx-devel, qt5-qtbase-devel, libxkbcommon-devel, extra-cmake-modules, gettext-devel
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}
%filter_provides_in %{_qt5_plugindir}/platforminputcontexts/libfcitxplatforminputcontextplugin.so
%filter_provides_in %{_libdir}/fcitx/qt/libfcitx-quickphrase-editor5.so
%filter_setup

%description
This package provides Fcitx Qt5 input context.

%package devel
Summary:        Development files for fcitx-qt5
Requires:       %{name} = %{version}-%{release}
Requires:       cmake

%description devel
The %{name}-devel package contains libraries and header files necessary for
developing programs using fcitx-qt5 libraries.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install
%find_lang %{name}

%files -f %{name}.lang
%license COPYING COPYING.BSD
%doc README
%{_libdir}/fcitx/libexec/%{name}-gui-wrapper
%{_libdir}/lib%{project_name}*.so.*
%{_libdir}/fcitx/qt/
%{_qt5_plugindir}/platforminputcontexts/libfcitxplatforminputcontextplugin.so

%files devel
%{_libdir}/lib%{project_name}*.so
%{_libdir}/cmake/*
%{_includedir}/%{project_name}


%changelog
* Wed Feb 21 2024 Rebuild Robot <rebot@opencloudos.org> - 1.2.6-2
- Rebuilt for qt5-qtbase

* Wed Sep 06 2023 Chair <chairou@tencent.com> - 1.2.6 - 1
- initial

